# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
default:
  tags:
  - ci.inria.fr

image: 
  name: registry.gitlab.com/pages/hugo/hugo_extended:latest
  entrypoint: [""]

#variables:
#  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - apk update && apk add openssh-client git
  - eval $(ssh-agent -s)
  # add ssh key stored in SSH_PRIVATE_KEY variable to the agent store
  - mkdir -p ~/.ssh
  - ssh-keyscan -H gitlab.inria.fr >> ~/.ssh/known_hosts
  - git config --global user.email "gitlab-runner@gitlab-runner.com"
  - git config --global user.name "Gitlab Runner"
  - git config pull.rebase true
  - git config --global http.sslVerify "false"

test:
  script:
  - hugo
  except:
  - master

pages:
  script:
  - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
  - git submodule update --init
  - ls content
  - hugo
  artifacts:
    paths:
    - public
  only:
  - master
